#include "DirectX.h"
#include <dxgi.h>

bool IsExclusiveFullscreen(reshade::api::swapchain* swapchain) {
    if (!swapchain) return false;

    auto native = swapchain->get_native(); // Retrieving native swapchain
    IDXGISwapChain* dxgiSwap = reinterpret_cast<IDXGISwapChain*>(native);
    if (!dxgiSwap) return false;

    DXGI_SWAP_CHAIN_DESC desc = {};
    bool exclusive = false;

    if (SUCCEEDED(dxgiSwap->GetDesc(&desc)))
        exclusive = (desc.Windowed == FALSE); // FALSE = exclusive fullscreen

    return exclusive;
}